from aiogram.types import InlineKeyboardButton, InlineKeyboardMarkup
from aiogram.utils.keyboard import InlineKeyboardBuilder

from utils.db import Postgres

start_text = """
Привет, Админ!
"""


async def start_ikb() -> InlineKeyboardMarkup:
    """
        -🚫 Стоп слова
        -💬 Стоп сообщение
        -Запретить / Разрешить видео без опис.
        -Запретить / Разрешить фото без опис.
    :return: объект клавиатуры для параметра reply_markup
    """
    builder = InlineKeyboardBuilder()

    ban_media_photo = {'text': '', 'callback_data': ''}
    ban_media_video = {'text': '', 'callback_data': ''}

    ban_media = await Postgres().get_data(
        table_name='ban_media'
    )

    if not ban_media[0]['photo']:
        ban_media_photo['text'] = 'Запретить фото без описания'
        ban_media_photo['callback_data'] = 'enable_ban_media_photo'
    else:
        ban_media_photo['text'] = 'Разрешить фото без описания'
        ban_media_photo['callback_data'] = 'disable_ban_media_photo'

    if not ban_media[0]['video']:
        ban_media_video['text'] = 'Запретить видео без описания'
        ban_media_video['callback_data'] = 'enable_ban_media_video'
    else:
        ban_media_video['text'] = 'Разрешить видео без описания'
        ban_media_video['callback_data'] = 'disable_ban_media_video'


    builder.add(
        InlineKeyboardButton(
            text='🚫 Стоп слова',
            callback_data='ban_words'
        ),
        InlineKeyboardButton(
            text='💬 Стоп сообщение',
            callback_data='message'
        ),
        InlineKeyboardButton(
            text=ban_media_video['text'],
            callback_data=ban_media_video['callback_data']
        ),
        InlineKeyboardButton(
            text=ban_media_photo['text'],
            callback_data=ban_media_photo['callback_data']
        )
    )
    builder.adjust(1)
    return builder.as_markup()